System.ServiceModel 4.0.0.0 System.ServiceModel.Channels.MsmqBindingElementBase

The enables the user to set the properties of the queued communication channel. The queued communication channel uses Message Queuing for its transport.

This binding element is the default binding element used by the Message Queuing standard binding ().

Represents the binding element used to specify the queuing communication properties for a indigo1 service that uses the native Message Queuing (MSMQ) protocol.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.ServiceModel.Channels.IChannelFactory<TChannel> ``

  A channel factory is created and initialized using the properties that have been set in the binding element. The initialized channel factory is then used to create output channels that can be used to send messages to a message queue.

  Builds a channel factory using the context provided.

  A Message Queuing (MSMQ) channel factory that can be used to create channels to send messages to existing Message Queuing applications.

  The with which to build the channel factory. A or a class.
- Method
  4.0.0.0
  System.ServiceModel.Channels.IChannelListener<TChannel> ReferenceTypeConstraint System.ServiceModel.Channels.IChannel `` To be added.

  Builds a channel listener using the context provided.

  A Message Queuing (MSMQ) channel listener that can be used to create channels to receive messages from existing MSMQ applications.

  The with which to build the channel listener. The channel type to be used to build the channel listener. Permitted channel types are or a class.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Returns a Boolean value that indicates whether you can build a channel factory with the context provided.

  true if you can build a channel factory with the context provided; otherwise, false. The binding element returns true only when is or .

  The with which to build the channel factory. The channel type to be used to build the channel listener. Permitted channel types are or a class.
- Method
  4.0.0.0
  System.Boolean ReferenceTypeConstraint System.ServiceModel.Channels.IChannel `` To be added.

  Returns a Boolean value that indicates whether you can build a channel listener with the context provided.

  true if you can build a channel listener with the context provided; otherwise, false.

  The binding returns true only when is or .

  The with which to build the channel listener. The channel type to be used to build the channel listener. Permitted channel types are or a class.
- Method
  4.0.0.0
  System.ServiceModel.Channels.BindingElement To be added.

  Returns a clone of the binding element.

  A clone of the binding element.

- Property
  4.0.0.0
  System.Int32 To be added.

  The internal Message Queuing message object pool is used to avoid allocations of these objects when sending and receiving messages. The maximum pool size is a performance-tuning parameter. The default value is 8.

  Gets or sets an integer that specifies the maximum size of the pool that contains internal Message Queuing (MSMQ) message objects.

- Property
  4.0.0.0
  System.ServiceModel.QueueTransferProtocol To be added.

  Message Queuing (MSMQ) does not support Active Directory addressing when using SOAP Reliable Messaging Protocol (SRMP), so do not set to or when is set to true.

  Gets or sets an enumeration value that indicates the queued communication channel transport that this binding uses.

- Property
  4.0.0.0
  System.String To be added.

  The property returns the string "net.msmq".

  The Message Queuing (MSMQ) queued transport supports several addressing schemes, including net.msmq.

  Returns a that contains the addressing scheme that is used by this transport binding element.

- Property
  4.0.0.0
  System.Boolean To be added.

  Message Queuing (MSMQ) queue addresses can consist of path names or direct format names. With a direct format name, MSMQ resolves the queue name using DNS, NetBIOS, or IP. With a path name, MSMQ resolves the queue name using Active Directory.

  By default, the indigo1 queued transport converts the URI of a message queue to a direct format name. By setting the property to true, an application can specify that the queued transport should resolve the computer name using Active Directory rather than DNS, NetBIOS, or IP.

  Returns a Boolean value that indicates whether queue addresses should be converted using Active Directory.